Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev2c
Class get_bulk

    java.lang.Object
      |
      +--uk.co.westhawk.examplev2c.get_bulk

All Implemented Interfaces:
  java.util.Observer

public class get_bulk
extends java.lang.Object
implements java.util.Observer

The get_bulk application shows how to use the SNMPv2 GetBulk request.

The host, port, community, non-repeaters and max-repetitions name can be configured in the properties file. A number of OIDs can be configured in the properties file as well by using any OIDS in the range OID0 to OID9.

The name of the properties file can be passed as first argument to this application. If there is no such argument, it will look for `get_bulk.properties`. If this file does not exist, the application will use default parameters.

Version:
  $Revision: 1.2 $ $Date: 2002/10/22 16:39:18 $
Author:
  Birgit Arkesteijn
See Also:
  `OneGetBulkPdu`

Field Summary
`static java.lang.String` | `ipNetToMediaNetAddress`
`static java.lang.String` | `ipNetToMediaType`
`static java.lang.String` | `ipRouteTable`
`static java.lang.String` | `MAX`
`static java.lang.String` | `NON`
`static java.lang.String` | `system`
`static java.lang.String` | `sysUpTime`

Constructor Summary
`get_bulk(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `init()`
`static void` | `main(java.lang.String[] args)`
`void` | `update(java.util.Observable obs, java.lang.Object ov)` Implementing the Observer interface.
`void` | `update1(java.util.Observable obs, java.lang.Object ov)` A possible update implementation.
`void` | `update2(java.util.Observable obs, java.lang.Object ov)` A possible update implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NON

    public static final java.lang.String NON

### MAX

    public static final java.lang.String MAX

### system

    public static final java.lang.String system

### sysUpTime

    public static final java.lang.String sysUpTime

### ipNetToMediaNetAddress

    public static final java.lang.String ipNetToMediaNetAddress

### ipNetToMediaType

    public static final java.lang.String ipNetToMediaType

### ipRouteTable

    public static final java.lang.String ipRouteTable

Constructor Detail

### get_bulk

    public get_bulk(java.lang.String propertiesFilename)

  Constructor.
  Parameters:
    `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  Implementing the Observer interface. Receiving the response from the Pdu. See update1() and update2() for the actual implementation.
  Specified by:
    `update` in interface `java.util.Observer`
  See Also:
    `update1(java.util.Observable, java.lang.Object)`, `update2(java.util.Observable, java.lang.Object)`

### update1

    public void update1(java.util.Observable obs,
                        java.lang.Object ov)

  A possible update implementation. This method uses the Vector of the OneGetBulkPdu.
  Parameters:
    `obs` - the OneGetBulkPdu variable
    `ov` - the Vector of varbinds
  See Also:
    `OneGetBulkPdu`, `OneGetBulkPdu.getVarbinds()`, `varbind`, `Vector`

### update2

    public void update2(java.util.Observable obs,
                        java.lang.Object ov)

  A possible update implementation. This method uses the response varbind array of Pdu.
  Parameters:
    `obs` - the OneGetBulkPdu variable
    `ov` - the Vector of varbinds
  See Also:
    `OneGetBulkPdu`, `varbind`, `Pdu.getResponseVarbinds()`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD